* {
    box-sizing: border-box;
    font-family: Arial, sans-serif;
  }
  
  body {
    margin: 0;
  }
  
  /* ===== Top Bar Grid ===== */
.general-bar .logo-menu {
  display: grid;
  grid-template-columns: auto 1fr auto;
  grid-template-areas: "logo central user";
  align-items: center;
  gap: 2rem;
  max-width: 1400px;
  margin: 0 auto;
  padding: 0 20px;
}

.top-bar {
    border-bottom: 1px solid #e2e2e2;
}

a.icono-redes {
    margin-bottom: 0px;
    padding: 0px;
    display: flex;
    flex-direction: row;
    align-items: center;
}


.general-bar .logo { grid-area: logo; }
.general-bar .caja-central { grid-area: central; text-align: center; }
.general-bar .user-area { grid-area: user; display: flex; gap: 0rem; justify-content: flex-end; }

/* ===== Mobile ===== */
@media (max-width: 845px) {
  .pago-seguro {
    display: none!important;
  }
}
@media (max-width: 621px) {
.pago-seguro,
  .envio-gratuito {
    display: none!important;
  }
  }

/* ===== Mobile ===== */
@media (max-width: 768px) {
  .general-bar .logo-menu {
    grid-template-columns: 1fr 1fr;
    grid-template-areas:
      "logo user"
      "central central";
    gap: 0rem;
  }

  .top-bar {
    padding-bottom: 10px;
    border-bottom: 1px solid #e2e2e2;
}

  .general-bar .caja-central {
    text-align: center;
    width: 100%;
  }
  
  .general-bar .user-area {
    gap: 1rem;
}
}
/* ===== logo ===== */
.general-bar .logo a {
    width: 145px;
    display: flex;
}
.general-bar .logo {
    display: flex;
    width: 181px;
}

.general-bar img.logo-movil {
    width: 40px;
    margin-left: 5px;
}
img.logo-desktop {
    width: 152px;
}
/* ===== categorias+buscador ===== */
.general-bar .caja-central {
    display: flex;
    gap: 5px;
}

/* ===== HACER STICKY SOLO LA BARRA BLANCA ===== */
html, body {
  height: auto;
}

body {
  overflow-x: visible;
}

.header {
  position: sticky;
  top: 0;
  z-index: 9999;
  background-color: #fff;
  transition: transform 0.9s ease; /* transición suave */
}

.header.no-sticky {
  position: relative;
  transform: translateY(-100%); /* se mueve hacia arriba */
}

/* Fuerza que los contenedores padres no rompan sticky */
.site,
.page,
.wrap,
.container,
#page,
#content {
  overflow: visible !important;
}

span.sr-only {
  display: none;
}